import ElementElement from './Element/Element';

/**
 * <form> elementi.
 */
export default class Form extends ElementElement
{
    /**
     * Konstruktor.
     *
     * @param el
     */
    constructor(el)
    {
        super(el);

        if (!this.$el.is('form')) {
            throw 'el mora biti <form>';
        }

        let $submit = this.$el.find('button[type="submit"]');

        if ($submit.length > 0) {
            this.submit = $submit[0].ep;
        }

        this.$el.on('submit', this.onSubmit.bind(this));
    }

    /**
     * Ova implementacija ništa ne radi.
     */
    onSubmit()
    {
        // Ako djeca žele submitati podatke ajaxom ili nešto, trebaju implementirati
        // ovu metodu.
    }
}