<?php
namespace Ep\Validator\Chain;

/**
 * DisableableValidatorChain koji traži checkbox 'enabled'.
 *
 * @package Ep\Validator\Chain
 * @author Elektronika Perhoč <web@ep.hr>
 * @link http://gitlab.ep.local/ep-framework/core
 */
class EnableModuleChain extends DisableableChain
{
	public function __construct()
	{
		parent::__construct([
			'name' => 'enabled',
			'value' => '1',
		]);
	}
}