<?php
namespace Ep\View\Renderer;

use Zend\View\Renderer\RendererInterface;

/**
 * Osnovna implementacija RendererAwareInterfacea.
 *
 * @package Ep\View\Renderer
 * @author Elektronika Perhoč <web@ep.hr>
 * @link http://gitlab.ep.local/ep-framework/core
 */
trait RendererAwareTrait
{
    /** @var RendererInterface */
    protected $renderer;

    /**
     * @return RendererInterface
     */
    public function getRenderer(): RendererInterface
    {
        return $this->renderer;
    }

    /**
     * @param RendererInterface $renderer
     */
    public function setRenderer(RendererInterface $renderer): void
    {
        $this->renderer = $renderer;
    }
}