<?php
namespace Ep\View\Helper;

use Zend\View\Helper\AbstractHelper;

/**
 * Class Icon
 *
 * @package Ep\View\Helper
 * @author Elektronika Perhoč <web@ep.hr>
 * @link http://gitlab.ep.local/ep-framework/core
 */
class Icon extends AbstractHelper
{
    /**
     * @param string $icon
     *
     * @return string
     */
    public function __invoke(string $icon): string
    {
        return sprintf('<i class="fa fa-%s"></i>', $icon);
    }
}