<?php
namespace Ep\View\Renderer;

use Zend\View\Renderer\RendererInterface;

/**
 * Objekti koji znaju za RendererInterface.
 *
 * @package Ep\View\Renderer
 * @author Elektronika Perhoč <web@ep.hr>
 * @link http://gitlab.ep.local/ep-framework/core
 */
interface RendererAwareInterface
{
    /**
     * @return RendererInterface
     */
    public function getRenderer(): RendererInterface;

    /**
     * @param RendererInterface $renderer
     */
    public function setRenderer(RendererInterface $renderer): void;
}